> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developer-stage.shipbob.dev/2026-07/api/receiving/get-inventory-distributions-by-wro-id/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer-stage.shipbob.dev/_mcp/server. # Get Inventory Distributions by WRO ID GET https://sandbox-api.shipbob.com/2026-07/receiving/{id}/distributions Retrieves the distribution details for a specific receiving order within ShipBob's Inventory Placement Program (IPP). This endpoint is available only to accounts enrolled in ShipBob's Inventory Placement Program (IPP). Reference: https://developer-stage.shipbob.dev/api/receiving/get-inventory-distributions-by-wro-id ## Authentication - `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token - `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens ## Request ### Path parameters - `id` (integer, required) — Id of the receiving order ## Response ### 200 Success - `distributions` (list of Receiving.DistributionItem, optional, nullable) — List of distribution items, for a combination of InventoryId, Lot Number, Lot Date and Destination Fulfillment Center Id - `id` (integer, optional) — Id of the receiving order - `status` (enum, optional) - Allowed values: `Awaiting`, `Processing`, `Completed`, `Cancelled`, `Incomplete`, `Arrived`, `PartiallyArrived`, `PartiallyArrivedAtHub`, `ArrivedAtHub`, `ProcessingAtHub`, `InternalTransfer` ## Errors ### 400 Bad Request Error Bad Request - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### 404 Not Found Error Not Found - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ### 500 Internal Server Error Server Error - `detail` (string, optional, nullable) - `instance` (string, optional, nullable) - `status` (integer, optional, nullable) - `title` (string, optional, nullable) - `type` (string, optional, nullable) ## Types ### Receiving.DistributionItem - `expected_quantity` (integer, optional) — Quantity to be distributed according with the transfer plan calculation - `fulfillment_center_abbreviation` (string, optional, nullable) — Abbreviation of Destination Fulfillment Center Id, including Airport Code and Sequence Number - `fulfillment_center_id` (integer, optional) — Destination Fulfillment Center Id for the item - `inventory_id` (integer, optional) — Inventory Id of the Item - `lot_date` (datetime, optional, nullable) — Lot expiration date of the item - `lot_number` (string, optional, nullable) — Lot number of the item - `product_sku` (string, optional, nullable) — Product SKU - `received_quantity` (integer, optional) — Quantity received at hub for this item - `status` (enum, optional) - Allowed values: `NotStarted`, `InProgress`, `Stowing`, `Completed` - `stowed_quantity` (integer, optional) — Quantity stowed at Destination Fulfillment Center for this item ## Examples **Response** ```json { "distributions": [ { "expected_quantity": 0, "fulfillment_center_abbreviation": "string", "fulfillment_center_id": 0, "inventory_id": 0, "lot_date": "2019-08-24T14:15:22+00:00", "lot_number": "string", "product_sku": "string", "received_quantity": 0, "status": "NotStarted", "stowed_quantity": 0 } ], "id": 0, "status": "Awaiting" } ``` **SDK Code** ```python default import requests url = "https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript default const url = 'https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go default package main import ( "fmt" "net/http" "io" ) func main() { url := "https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby default require 'uri' require 'net/http' url = URI("https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java default import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions") .header("Authorization", "Bearer ") .asString(); ``` ```php default request('GET', 'https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp default using RestSharp; var client = new RestClient("https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift default import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://sandbox-api.shipbob.com/2026-07/receiving/1/distributions")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```